#ifndef EDITSCENE_NAVMESH_GEOMETRY_SOURCE_EDITOR_HPP
#define EDITSCENE_NAVMESH_GEOMETRY_SOURCE_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/NavMesh.hpp"

class NavMeshGeometrySourceEditor
	: public ComponentEditor<NavMeshGeometrySource> {
public:
	const char *getName() const override
	{
		return "NavMesh Geometry Source";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     NavMeshGeometrySource &src) override
	{
		(void)entity;
		bool modified = false;
		if (ImGui::Checkbox("Include in NavMesh", &src.include))
			modified = true;
		return modified;
	}
};

#endif // EDITSCENE_NAVMESH_GEOMETRY_SOURCE_EDITOR_HPP
